### Virtual Method

# Foundry Vcs load_tip

since: 1.1

#### Declaration [src]

    DexFuture*
    load_tip (
      FoundryVcs* self
    )

#### Description [src]

Loads the tip (most recent commit) from the repository.

Available since: 1.1

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryVcsCommit` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.